# PrestaShop Checkout

![PHP tests](https://github.com/PrestaShopCorp/ps_checkout/workflows/PHP%20tests/badge.svg)
![JS tests](https://github.com/PrestaShopCorp/ps_checkout/workflows/JS%20tests/badge.svg)
![Build & Release draft](https://github.com/PrestaShopCorp/ps_checkout/workflows/Build%20&%20Release%20draft/badge.svg)
![GitHub release (latest SemVer)](https://img.shields.io/github/v/release/prestashopcorp/ps_checkout)
[![GitHub license](https://img.shields.io/github/license/PrestaShopCorp/ps_checkout)](https://github.com/PrestaShopCorp/ps_checkout/LICENSE.md)

## About

PrestaShop official payment module in partnership with PayPal.

## Reporting issues

In order to contact the team, please use the [link][contact-us] available in the
back-office once logged to your PrestaShop account.

## Direct download

If you want to get a zip ready to install on your shop. You can directly download it by clicking [here][direct-download].

## Contributing

PrestaShop modules are open source extensions to the PrestaShop e-commerce solution. Everyone is welcome and even encouraged to contribute with their own improvements.

### Requirements

There 3 main branches on the repository:
- `prestashop/8.x` is the branch for PrestaShop v8.x
- `prestashop/1.7.x` is the branch for PrestaShop v1.7.x
- `prestashop/1.6.1.x` is the branch for PrestaShop v1.6.1.x

Contributors **must** follow the following rules:

* Use the main branch `prestashop/8.x`
* Do not update the module's version number.
* Follow [the coding standards][1].

### Process in details

Contributors wishing to edit a module's files should follow the following process:

1. Create your GitHub account, if you do not have one already.
2. Fork this project to your GitHub account.
3. Clone your fork to your local machine in the `/modules` directory of your PrestaShop installation.
4. Create a branch in your local clone of the module for your changes.
5. Change the files in your branch. Be sure to follow the [coding standards][1]!
6. Push your changed branch to your fork in your GitHub account.
7. Create a pull request for your changes on the `prestashop/8.x` branch of the module's project. Be sure to follow the [contribution guidelines][2] in your pull request. If you need help to make a pull request, read the [GitHub help page about creating pull requests][3].
8. Wait for one of the core developers either to include your change in the codebase, or to comment on possible improvements you should make to your code.

That's it: you have contributed to this open source project! Congratulations!

## License

This module is released under the [Academic Free License 3.0][AFL-3.0]

[contact-us]: https://help-center.prestashop.com/contact?psx=ps_checkout
[direct-download]: https://github.com/PrestaShopCorp/ps_checkout/releases
[1]: https://devdocs.prestashop.com/1.7/development/coding-standards/
[2]: https://devdocs.prestashop.com/1.7/contribute/contribution-guidelines/
[3]: https://help.github.com/articles/using-pull-requests
[AFL-3.0]: https://opensource.org/licenses/AFL-3.0
